Delete a presigned URL
Revoke a previously issued presigned URL for a sandbox.
Revoke a previously issued presigned URL for a sandbox.
Authorization
BearerAuth API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
Unique sandbox identifier.
Presigned URL resource identifier.
Response Body
application/json
application/json
application/json
curl -X DELETE "https://api.leap0.dev/v1/sandbox/string/presigned-url/string"{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}{ "message": "string"}Create a presigned URL POST
Create a temporary public URL for a specific sandbox port. The returned `token` is only returned once and is stored server-side as a SHA-256 hash. The URL resolves to `https://<token>.leap0.app` in production, or the matching environment-specific presigned domain in non-production stacks.
Create a snapshot POST
Create a snapshot from a running sandbox. The snapshot captures the sandbox's memory image, VM state, writable disk diff, and resource configuration. The source sandbox resumes after the snapshot is stored unless `kill_sandbox_after` is set.

